# Interface methods for submodule: ElasticBodySplineKernelTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import KernelTransformProxy as _KernelTransformProxy


# Interface methods for class: ElasticBodySplineKernelTransform
class ElasticBodySplineKernelTransformProxy(_KernelTransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetAlpha(self, _arg: float) -> None:
		""""""
		...

	def GetAlpha(self) -> float:
		""""""
		...

